Package org.apache.storm.sql.runtime.utils

# Class SerdeUtils

java.lang.Object
org.apache.storm.sql.runtime.utils.SerdeUtils

public final class SerdeUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerdeUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `convertAvroUtf8(Object value)`
  Convert a Avro object to a Java object, changing the Avro Utf8 type to Java String.
  `static Scheme`
  `getScheme(String inputFormatClass, Properties properties, List<String> fieldNames)`
  Get a Scheme instance based on specific configurations.
  `static IOutputSerializer`
  `getSerializer(String outputFormatClass, Properties properties, List<String> fieldNames)`
  Get a OutputSerializer instance based on specific configurations.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SerdeUtils

    public SerdeUtils()

- ## Method Details

  - ### getScheme

    public static Scheme getScheme(String inputFormatClass, Properties properties, List<String> fieldNames)
    Get a Scheme instance based on specific configurations.
    Parameters:
      `inputFormatClass` - input format class
      `properties` - Properties
      `fieldNames` - field names
    Returns:
      the Scheme instance

  - ### getSerializer

    public static IOutputSerializer getSerializer(String outputFormatClass, Properties properties, List<String> fieldNames)
    Get a OutputSerializer instance based on specific configurations.
    Parameters:
      `outputFormatClass` - output format class
      `properties` - Properties
      `fieldNames` - field names
    Returns:
      the OutputSerializer instance

  - ### convertAvroUtf8

    public static Object convertAvroUtf8(Object value)
    Convert a Avro object to a Java object, changing the Avro Utf8 type to Java String.
    Parameters:
      `value` - Avro object
    Returns:
      Java object